Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network233.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
233.128.0.0
Broadcast address
233.255.255.255
First usable
233.128.0.1
Last usable
233.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E9800000 · Integer 3917479936 to 3925868543
Reverse DNS zones
128.233.in-addr.arpa
129.233.in-addr.arpa
130.233.in-addr.arpa
131.233.in-addr.arpa
132.233.in-addr.arpa
133.233.in-addr.arpa
134.233.in-addr.arpa
135.233.in-addr.arpa
136.233.in-addr.arpa
137.233.in-addr.arpa
138.233.in-addr.arpa
139.233.in-addr.arpa
140.233.in-addr.arpa
141.233.in-addr.arpa
142.233.in-addr.arpa
143.233.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101001.10000000.00000000.00000000233.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11101001.10000000.00000000.00000000233.128.0.0
Broadcast11101001.11111111.11111111.11111111233.255.255.255
Split into smaller subnets/17

233.128.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1233.128.0.0/17233.128.0.1 to 233.128.127.254233.128.127.25532,766
2233.128.128.0/17233.128.128.1 to 233.128.255.254233.128.255.25532,766
3233.129.0.0/17233.129.0.1 to 233.129.127.254233.129.127.25532,766
4233.129.128.0/17233.129.128.1 to 233.129.255.254233.129.255.25532,766
5233.130.0.0/17233.130.0.1 to 233.130.127.254233.130.127.25532,766
6233.130.128.0/17233.130.128.1 to 233.130.255.254233.130.255.25532,766
7233.131.0.0/17233.131.0.1 to 233.131.127.254233.131.127.25532,766
8233.131.128.0/17233.131.128.1 to 233.131.255.254233.131.255.25532,766
9233.132.0.0/17233.132.0.1 to 233.132.127.254233.132.127.25532,766
10233.132.128.0/17233.132.128.1 to 233.132.255.254233.132.255.25532,766
11233.133.0.0/17233.133.0.1 to 233.133.127.254233.133.127.25532,766
12233.133.128.0/17233.133.128.1 to 233.133.255.254233.133.255.25532,766
13233.134.0.0/17233.134.0.1 to 233.134.127.254233.134.127.25532,766
14233.134.128.0/17233.134.128.1 to 233.134.255.254233.134.255.25532,766
15233.135.0.0/17233.135.0.1 to 233.135.127.254233.135.127.25532,766
16233.135.128.0/17233.135.128.1 to 233.135.255.254233.135.255.25532,766
17233.136.0.0/17233.136.0.1 to 233.136.127.254233.136.127.25532,766
18233.136.128.0/17233.136.128.1 to 233.136.255.254233.136.255.25532,766
19233.137.0.0/17233.137.0.1 to 233.137.127.254233.137.127.25532,766
20233.137.128.0/17233.137.128.1 to 233.137.255.254233.137.255.25532,766
21233.138.0.0/17233.138.0.1 to 233.138.127.254233.138.127.25532,766
22233.138.128.0/17233.138.128.1 to 233.138.255.254233.138.255.25532,766
23233.139.0.0/17233.139.0.1 to 233.139.127.254233.139.127.25532,766
24233.139.128.0/17233.139.128.1 to 233.139.255.254233.139.255.25532,766
25233.140.0.0/17233.140.0.1 to 233.140.127.254233.140.127.25532,766
26233.140.128.0/17233.140.128.1 to 233.140.255.254233.140.255.25532,766
27233.141.0.0/17233.141.0.1 to 233.141.127.254233.141.127.25532,766
28233.141.128.0/17233.141.128.1 to 233.141.255.254233.141.255.25532,766
29233.142.0.0/17233.142.0.1 to 233.142.127.254233.142.127.25532,766
30233.142.128.0/17233.142.128.1 to 233.142.255.254233.142.255.25532,766
31233.143.0.0/17233.143.0.1 to 233.143.127.254233.143.127.25532,766
32233.143.128.0/17233.143.128.1 to 233.143.255.254233.143.255.25532,766
33233.144.0.0/17233.144.0.1 to 233.144.127.254233.144.127.25532,766
34233.144.128.0/17233.144.128.1 to 233.144.255.254233.144.255.25532,766
35233.145.0.0/17233.145.0.1 to 233.145.127.254233.145.127.25532,766
36233.145.128.0/17233.145.128.1 to 233.145.255.254233.145.255.25532,766
37233.146.0.0/17233.146.0.1 to 233.146.127.254233.146.127.25532,766
38233.146.128.0/17233.146.128.1 to 233.146.255.254233.146.255.25532,766
39233.147.0.0/17233.147.0.1 to 233.147.127.254233.147.127.25532,766
40233.147.128.0/17233.147.128.1 to 233.147.255.254233.147.255.25532,766
41233.148.0.0/17233.148.0.1 to 233.148.127.254233.148.127.25532,766
42233.148.128.0/17233.148.128.1 to 233.148.255.254233.148.255.25532,766
43233.149.0.0/17233.149.0.1 to 233.149.127.254233.149.127.25532,766
44233.149.128.0/17233.149.128.1 to 233.149.255.254233.149.255.25532,766
45233.150.0.0/17233.150.0.1 to 233.150.127.254233.150.127.25532,766
46233.150.128.0/17233.150.128.1 to 233.150.255.254233.150.255.25532,766
47233.151.0.0/17233.151.0.1 to 233.151.127.254233.151.127.25532,766
48233.151.128.0/17233.151.128.1 to 233.151.255.254233.151.255.25532,766
49233.152.0.0/17233.152.0.1 to 233.152.127.254233.152.127.25532,766
50233.152.128.0/17233.152.128.1 to 233.152.255.254233.152.255.25532,766
51233.153.0.0/17233.153.0.1 to 233.153.127.254233.153.127.25532,766
52233.153.128.0/17233.153.128.1 to 233.153.255.254233.153.255.25532,766
53233.154.0.0/17233.154.0.1 to 233.154.127.254233.154.127.25532,766
54233.154.128.0/17233.154.128.1 to 233.154.255.254233.154.255.25532,766
55233.155.0.0/17233.155.0.1 to 233.155.127.254233.155.127.25532,766
56233.155.128.0/17233.155.128.1 to 233.155.255.254233.155.255.25532,766
57233.156.0.0/17233.156.0.1 to 233.156.127.254233.156.127.25532,766
58233.156.128.0/17233.156.128.1 to 233.156.255.254233.156.255.25532,766
59233.157.0.0/17233.157.0.1 to 233.157.127.254233.157.127.25532,766
60233.157.128.0/17233.157.128.1 to 233.157.255.254233.157.255.25532,766
61233.158.0.0/17233.158.0.1 to 233.158.127.254233.158.127.25532,766
62233.158.128.0/17233.158.128.1 to 233.158.255.254233.158.255.25532,766
63233.159.0.0/17233.159.0.1 to 233.159.127.254233.159.127.25532,766
64233.159.128.0/17233.159.128.1 to 233.159.255.254233.159.255.25532,766
65233.160.0.0/17233.160.0.1 to 233.160.127.254233.160.127.25532,766
66233.160.128.0/17233.160.128.1 to 233.160.255.254233.160.255.25532,766
67233.161.0.0/17233.161.0.1 to 233.161.127.254233.161.127.25532,766
68233.161.128.0/17233.161.128.1 to 233.161.255.254233.161.255.25532,766
69233.162.0.0/17233.162.0.1 to 233.162.127.254233.162.127.25532,766
70233.162.128.0/17233.162.128.1 to 233.162.255.254233.162.255.25532,766
71233.163.0.0/17233.163.0.1 to 233.163.127.254233.163.127.25532,766
72233.163.128.0/17233.163.128.1 to 233.163.255.254233.163.255.25532,766
73233.164.0.0/17233.164.0.1 to 233.164.127.254233.164.127.25532,766
74233.164.128.0/17233.164.128.1 to 233.164.255.254233.164.255.25532,766
75233.165.0.0/17233.165.0.1 to 233.165.127.254233.165.127.25532,766
76233.165.128.0/17233.165.128.1 to 233.165.255.254233.165.255.25532,766
77233.166.0.0/17233.166.0.1 to 233.166.127.254233.166.127.25532,766
78233.166.128.0/17233.166.128.1 to 233.166.255.254233.166.255.25532,766
79233.167.0.0/17233.167.0.1 to 233.167.127.254233.167.127.25532,766
80233.167.128.0/17233.167.128.1 to 233.167.255.254233.167.255.25532,766
81233.168.0.0/17233.168.0.1 to 233.168.127.254233.168.127.25532,766
82233.168.128.0/17233.168.128.1 to 233.168.255.254233.168.255.25532,766
83233.169.0.0/17233.169.0.1 to 233.169.127.254233.169.127.25532,766
84233.169.128.0/17233.169.128.1 to 233.169.255.254233.169.255.25532,766
85233.170.0.0/17233.170.0.1 to 233.170.127.254233.170.127.25532,766
86233.170.128.0/17233.170.128.1 to 233.170.255.254233.170.255.25532,766
87233.171.0.0/17233.171.0.1 to 233.171.127.254233.171.127.25532,766
88233.171.128.0/17233.171.128.1 to 233.171.255.254233.171.255.25532,766
89233.172.0.0/17233.172.0.1 to 233.172.127.254233.172.127.25532,766
90233.172.128.0/17233.172.128.1 to 233.172.255.254233.172.255.25532,766
91233.173.0.0/17233.173.0.1 to 233.173.127.254233.173.127.25532,766
92233.173.128.0/17233.173.128.1 to 233.173.255.254233.173.255.25532,766
93233.174.0.0/17233.174.0.1 to 233.174.127.254233.174.127.25532,766
94233.174.128.0/17233.174.128.1 to 233.174.255.254233.174.255.25532,766
95233.175.0.0/17233.175.0.1 to 233.175.127.254233.175.127.25532,766
96233.175.128.0/17233.175.128.1 to 233.175.255.254233.175.255.25532,766
97233.176.0.0/17233.176.0.1 to 233.176.127.254233.176.127.25532,766
98233.176.128.0/17233.176.128.1 to 233.176.255.254233.176.255.25532,766
99233.177.0.0/17233.177.0.1 to 233.177.127.254233.177.127.25532,766
100233.177.128.0/17233.177.128.1 to 233.177.255.254233.177.255.25532,766
101233.178.0.0/17233.178.0.1 to 233.178.127.254233.178.127.25532,766
102233.178.128.0/17233.178.128.1 to 233.178.255.254233.178.255.25532,766
103233.179.0.0/17233.179.0.1 to 233.179.127.254233.179.127.25532,766
104233.179.128.0/17233.179.128.1 to 233.179.255.254233.179.255.25532,766
105233.180.0.0/17233.180.0.1 to 233.180.127.254233.180.127.25532,766
106233.180.128.0/17233.180.128.1 to 233.180.255.254233.180.255.25532,766
107233.181.0.0/17233.181.0.1 to 233.181.127.254233.181.127.25532,766
108233.181.128.0/17233.181.128.1 to 233.181.255.254233.181.255.25532,766
109233.182.0.0/17233.182.0.1 to 233.182.127.254233.182.127.25532,766
110233.182.128.0/17233.182.128.1 to 233.182.255.254233.182.255.25532,766
111233.183.0.0/17233.183.0.1 to 233.183.127.254233.183.127.25532,766
112233.183.128.0/17233.183.128.1 to 233.183.255.254233.183.255.25532,766
113233.184.0.0/17233.184.0.1 to 233.184.127.254233.184.127.25532,766
114233.184.128.0/17233.184.128.1 to 233.184.255.254233.184.255.25532,766
115233.185.0.0/17233.185.0.1 to 233.185.127.254233.185.127.25532,766
116233.185.128.0/17233.185.128.1 to 233.185.255.254233.185.255.25532,766
117233.186.0.0/17233.186.0.1 to 233.186.127.254233.186.127.25532,766
118233.186.128.0/17233.186.128.1 to 233.186.255.254233.186.255.25532,766
119233.187.0.0/17233.187.0.1 to 233.187.127.254233.187.127.25532,766
120233.187.128.0/17233.187.128.1 to 233.187.255.254233.187.255.25532,766
121233.188.0.0/17233.188.0.1 to 233.188.127.254233.188.127.25532,766
122233.188.128.0/17233.188.128.1 to 233.188.255.254233.188.255.25532,766
123233.189.0.0/17233.189.0.1 to 233.189.127.254233.189.127.25532,766
124233.189.128.0/17233.189.128.1 to 233.189.255.254233.189.255.25532,766
125233.190.0.0/17233.190.0.1 to 233.190.127.254233.190.127.25532,766
126233.190.128.0/17233.190.128.1 to 233.190.255.254233.190.255.25532,766
127233.191.0.0/17233.191.0.1 to 233.191.127.254233.191.127.25532,766
128233.191.128.0/17233.191.128.1 to 233.191.255.254233.191.255.25532,766
129233.192.0.0/17233.192.0.1 to 233.192.127.254233.192.127.25532,766
130233.192.128.0/17233.192.128.1 to 233.192.255.254233.192.255.25532,766
131233.193.0.0/17233.193.0.1 to 233.193.127.254233.193.127.25532,766
132233.193.128.0/17233.193.128.1 to 233.193.255.254233.193.255.25532,766
133233.194.0.0/17233.194.0.1 to 233.194.127.254233.194.127.25532,766
134233.194.128.0/17233.194.128.1 to 233.194.255.254233.194.255.25532,766
135233.195.0.0/17233.195.0.1 to 233.195.127.254233.195.127.25532,766
136233.195.128.0/17233.195.128.1 to 233.195.255.254233.195.255.25532,766
137233.196.0.0/17233.196.0.1 to 233.196.127.254233.196.127.25532,766
138233.196.128.0/17233.196.128.1 to 233.196.255.254233.196.255.25532,766
139233.197.0.0/17233.197.0.1 to 233.197.127.254233.197.127.25532,766
140233.197.128.0/17233.197.128.1 to 233.197.255.254233.197.255.25532,766
141233.198.0.0/17233.198.0.1 to 233.198.127.254233.198.127.25532,766
142233.198.128.0/17233.198.128.1 to 233.198.255.254233.198.255.25532,766
143233.199.0.0/17233.199.0.1 to 233.199.127.254233.199.127.25532,766
144233.199.128.0/17233.199.128.1 to 233.199.255.254233.199.255.25532,766
145233.200.0.0/17233.200.0.1 to 233.200.127.254233.200.127.25532,766
146233.200.128.0/17233.200.128.1 to 233.200.255.254233.200.255.25532,766
147233.201.0.0/17233.201.0.1 to 233.201.127.254233.201.127.25532,766
148233.201.128.0/17233.201.128.1 to 233.201.255.254233.201.255.25532,766
149233.202.0.0/17233.202.0.1 to 233.202.127.254233.202.127.25532,766
150233.202.128.0/17233.202.128.1 to 233.202.255.254233.202.255.25532,766
151233.203.0.0/17233.203.0.1 to 233.203.127.254233.203.127.25532,766
152233.203.128.0/17233.203.128.1 to 233.203.255.254233.203.255.25532,766
153233.204.0.0/17233.204.0.1 to 233.204.127.254233.204.127.25532,766
154233.204.128.0/17233.204.128.1 to 233.204.255.254233.204.255.25532,766
155233.205.0.0/17233.205.0.1 to 233.205.127.254233.205.127.25532,766
156233.205.128.0/17233.205.128.1 to 233.205.255.254233.205.255.25532,766
157233.206.0.0/17233.206.0.1 to 233.206.127.254233.206.127.25532,766
158233.206.128.0/17233.206.128.1 to 233.206.255.254233.206.255.25532,766
159233.207.0.0/17233.207.0.1 to 233.207.127.254233.207.127.25532,766
160233.207.128.0/17233.207.128.1 to 233.207.255.254233.207.255.25532,766
161233.208.0.0/17233.208.0.1 to 233.208.127.254233.208.127.25532,766
162233.208.128.0/17233.208.128.1 to 233.208.255.254233.208.255.25532,766
163233.209.0.0/17233.209.0.1 to 233.209.127.254233.209.127.25532,766
164233.209.128.0/17233.209.128.1 to 233.209.255.254233.209.255.25532,766
165233.210.0.0/17233.210.0.1 to 233.210.127.254233.210.127.25532,766
166233.210.128.0/17233.210.128.1 to 233.210.255.254233.210.255.25532,766
167233.211.0.0/17233.211.0.1 to 233.211.127.254233.211.127.25532,766
168233.211.128.0/17233.211.128.1 to 233.211.255.254233.211.255.25532,766
169233.212.0.0/17233.212.0.1 to 233.212.127.254233.212.127.25532,766
170233.212.128.0/17233.212.128.1 to 233.212.255.254233.212.255.25532,766
171233.213.0.0/17233.213.0.1 to 233.213.127.254233.213.127.25532,766
172233.213.128.0/17233.213.128.1 to 233.213.255.254233.213.255.25532,766
173233.214.0.0/17233.214.0.1 to 233.214.127.254233.214.127.25532,766
174233.214.128.0/17233.214.128.1 to 233.214.255.254233.214.255.25532,766
175233.215.0.0/17233.215.0.1 to 233.215.127.254233.215.127.25532,766
176233.215.128.0/17233.215.128.1 to 233.215.255.254233.215.255.25532,766
177233.216.0.0/17233.216.0.1 to 233.216.127.254233.216.127.25532,766
178233.216.128.0/17233.216.128.1 to 233.216.255.254233.216.255.25532,766
179233.217.0.0/17233.217.0.1 to 233.217.127.254233.217.127.25532,766
180233.217.128.0/17233.217.128.1 to 233.217.255.254233.217.255.25532,766
181233.218.0.0/17233.218.0.1 to 233.218.127.254233.218.127.25532,766
182233.218.128.0/17233.218.128.1 to 233.218.255.254233.218.255.25532,766
183233.219.0.0/17233.219.0.1 to 233.219.127.254233.219.127.25532,766
184233.219.128.0/17233.219.128.1 to 233.219.255.254233.219.255.25532,766
185233.220.0.0/17233.220.0.1 to 233.220.127.254233.220.127.25532,766
186233.220.128.0/17233.220.128.1 to 233.220.255.254233.220.255.25532,766
187233.221.0.0/17233.221.0.1 to 233.221.127.254233.221.127.25532,766
188233.221.128.0/17233.221.128.1 to 233.221.255.254233.221.255.25532,766
189233.222.0.0/17233.222.0.1 to 233.222.127.254233.222.127.25532,766
190233.222.128.0/17233.222.128.1 to 233.222.255.254233.222.255.25532,766
191233.223.0.0/17233.223.0.1 to 233.223.127.254233.223.127.25532,766
192233.223.128.0/17233.223.128.1 to 233.223.255.254233.223.255.25532,766
193233.224.0.0/17233.224.0.1 to 233.224.127.254233.224.127.25532,766
194233.224.128.0/17233.224.128.1 to 233.224.255.254233.224.255.25532,766
195233.225.0.0/17233.225.0.1 to 233.225.127.254233.225.127.25532,766
196233.225.128.0/17233.225.128.1 to 233.225.255.254233.225.255.25532,766
197233.226.0.0/17233.226.0.1 to 233.226.127.254233.226.127.25532,766
198233.226.128.0/17233.226.128.1 to 233.226.255.254233.226.255.25532,766
199233.227.0.0/17233.227.0.1 to 233.227.127.254233.227.127.25532,766
200233.227.128.0/17233.227.128.1 to 233.227.255.254233.227.255.25532,766
201233.228.0.0/17233.228.0.1 to 233.228.127.254233.228.127.25532,766
202233.228.128.0/17233.228.128.1 to 233.228.255.254233.228.255.25532,766
203233.229.0.0/17233.229.0.1 to 233.229.127.254233.229.127.25532,766
204233.229.128.0/17233.229.128.1 to 233.229.255.254233.229.255.25532,766
205233.230.0.0/17233.230.0.1 to 233.230.127.254233.230.127.25532,766
206233.230.128.0/17233.230.128.1 to 233.230.255.254233.230.255.25532,766
207233.231.0.0/17233.231.0.1 to 233.231.127.254233.231.127.25532,766
208233.231.128.0/17233.231.128.1 to 233.231.255.254233.231.255.25532,766
209233.232.0.0/17233.232.0.1 to 233.232.127.254233.232.127.25532,766
210233.232.128.0/17233.232.128.1 to 233.232.255.254233.232.255.25532,766
211233.233.0.0/17233.233.0.1 to 233.233.127.254233.233.127.25532,766
212233.233.128.0/17233.233.128.1 to 233.233.255.254233.233.255.25532,766
213233.234.0.0/17233.234.0.1 to 233.234.127.254233.234.127.25532,766
214233.234.128.0/17233.234.128.1 to 233.234.255.254233.234.255.25532,766
215233.235.0.0/17233.235.0.1 to 233.235.127.254233.235.127.25532,766
216233.235.128.0/17233.235.128.1 to 233.235.255.254233.235.255.25532,766
217233.236.0.0/17233.236.0.1 to 233.236.127.254233.236.127.25532,766
218233.236.128.0/17233.236.128.1 to 233.236.255.254233.236.255.25532,766
219233.237.0.0/17233.237.0.1 to 233.237.127.254233.237.127.25532,766
220233.237.128.0/17233.237.128.1 to 233.237.255.254233.237.255.25532,766
221233.238.0.0/17233.238.0.1 to 233.238.127.254233.238.127.25532,766
222233.238.128.0/17233.238.128.1 to 233.238.255.254233.238.255.25532,766
223233.239.0.0/17233.239.0.1 to 233.239.127.254233.239.127.25532,766
224233.239.128.0/17233.239.128.1 to 233.239.255.254233.239.255.25532,766
225233.240.0.0/17233.240.0.1 to 233.240.127.254233.240.127.25532,766
226233.240.128.0/17233.240.128.1 to 233.240.255.254233.240.255.25532,766
227233.241.0.0/17233.241.0.1 to 233.241.127.254233.241.127.25532,766
228233.241.128.0/17233.241.128.1 to 233.241.255.254233.241.255.25532,766
229233.242.0.0/17233.242.0.1 to 233.242.127.254233.242.127.25532,766
230233.242.128.0/17233.242.128.1 to 233.242.255.254233.242.255.25532,766
231233.243.0.0/17233.243.0.1 to 233.243.127.254233.243.127.25532,766
232233.243.128.0/17233.243.128.1 to 233.243.255.254233.243.255.25532,766
233233.244.0.0/17233.244.0.1 to 233.244.127.254233.244.127.25532,766
234233.244.128.0/17233.244.128.1 to 233.244.255.254233.244.255.25532,766
235233.245.0.0/17233.245.0.1 to 233.245.127.254233.245.127.25532,766
236233.245.128.0/17233.245.128.1 to 233.245.255.254233.245.255.25532,766
237233.246.0.0/17233.246.0.1 to 233.246.127.254233.246.127.25532,766
238233.246.128.0/17233.246.128.1 to 233.246.255.254233.246.255.25532,766
239233.247.0.0/17233.247.0.1 to 233.247.127.254233.247.127.25532,766
240233.247.128.0/17233.247.128.1 to 233.247.255.254233.247.255.25532,766
241233.248.0.0/17233.248.0.1 to 233.248.127.254233.248.127.25532,766
242233.248.128.0/17233.248.128.1 to 233.248.255.254233.248.255.25532,766
243233.249.0.0/17233.249.0.1 to 233.249.127.254233.249.127.25532,766
244233.249.128.0/17233.249.128.1 to 233.249.255.254233.249.255.25532,766
245233.250.0.0/17233.250.0.1 to 233.250.127.254233.250.127.25532,766
246233.250.128.0/17233.250.128.1 to 233.250.255.254233.250.255.25532,766
247233.251.0.0/17233.251.0.1 to 233.251.127.254233.251.127.25532,766
248233.251.128.0/17233.251.128.1 to 233.251.255.254233.251.255.25532,766
249233.252.0.0/17233.252.0.1 to 233.252.127.254233.252.127.25532,766
250233.252.128.0/17233.252.128.1 to 233.252.255.254233.252.255.25532,766
251233.253.0.0/17233.253.0.1 to 233.253.127.254233.253.127.25532,766
252233.253.128.0/17233.253.128.1 to 233.253.255.254233.253.255.25532,766
253233.254.0.0/17233.254.0.1 to 233.254.127.254233.254.127.25532,766
254233.254.128.0/17233.254.128.1 to 233.254.255.254233.254.255.25532,766
255233.255.0.0/17233.255.0.1 to 233.255.127.254233.255.127.25532,766
256233.255.128.0/17233.255.128.1 to 233.255.255.254233.255.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses